%% Figure4A script, use EEGlab topoplot function to plot the topo graph
load('EEGdata_preprocessed.mat');
load('chanlocs.mat');
eogchan=[30 32];

%P7channel N1 latency of every conditon in each groups,order year7 year9 year11;
%the data could be calculated from the output of peakdetection.m sheet4
condpeak=[236 237 238 239;220 215 222 220;202 203 209 205];

%grouping info
year11=[1:14];
year7=[15:30];
year9=[31:44];

%conditions ordered
condname={'word','psuedo','nonword','stroke'};
groups={'year7','year9','year11'};

nplot=1;
figure;
for ig=1:3
    subjno=eval(groups{ig});
    tmppeak=condpeak(ig,:);
for i = 1:length(condname)
gfpa=gfpeegconditions(subjno,:,:,:);
gfpb=squeeze(mean(gfpa,1));% mean across subjects
gfpc=squeeze(gfpb(i,:,:));% select the conditons
gfpt=gfpc(:,tmppeak(i)+100);% select the peak data
% gfptt=mean(EEG.data,3);
% gfptt=gfptt(:,2200);
% figure;
subplot(3,4,nplot)
topoplot(gfpt,chanlocs, 'maplimits' ,[-8 8]);
title([num2str(tmppeak(i)) 'ms'],'FontSize',14)
nplot=nplot+1;

end
end